/*
 *	Filesystem Map Format 1.0
 *
 *	(c) 1997 Martin Mares <mj@atrey.karlin.mff.cuni.cz>
 */

/* File format:
 *
 *	LONG	Ident: 'F', 'M', '!', 0x00
 *	LONG	Version: 0x00000001
 *	Sequence of entries
 *
 * `End of dir' entry:
 *
 *	BYTE	0x00
 *
 * Other entries:
 *
 *	BYTE	type
 *	BYTE	namelen, name[]
 *	WORD	permissions
 *	WORD	uid
 *	WORD	gid
 *	LONG	modtime (max(mtime,ctime))
 *	Type-dependent data
 *
 * Directory (type 0x01) data:
 *
 *	Sequence of entries
 *
 * File (type 0x02) data:
 *
 *	LONG	length
 *
 * CRC'ed file (type 0x03) data:
 *
 *	LONG	length
 *	LONG	crc
 *
 * Symlink and hardlink (types 0x04 and 0x05) data:
 *
 *	BYTE	destlen, dest[]
 *
 * Character and block device (types 0x06 and 0x07) data:
 *
 *	LONG	devno
 *
 * FIFO's and sockets (types 0x08 and 0x09) have no extra data.
 */

#define E_EOD 0
#define E_DIR 1
#define E_FILE 2
#define E_FILE_CRC 3
#define E_SYMLINK 4
#define E_HARDLINK 5
#define E_CHAR 6
#define E_BLOCK 7
#define E_FIFO 8
#define E_SOCK 9

#define FM_IDENT "FM!"
#define FM_VERSION 1

#define MAX_NAME_SIZE 1024
